> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://mezmo.ferndocs.com/api-reference/pipeline/edge/get-usage-metrics/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://mezmo.ferndocs.com/_mcp/server. # Get usage metrics POST https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage Content-Type: application/json Receive usage metrics from an Edge pipeline Reference: https://mezmo.ferndocs.com/api-reference/pipeline/edge/get-usage-metrics ## Authentication - `Authorization` header (required) (prefixed with ` Token `) — Header authentication of the form `Token ` ## Request ### Query parameters - `edge_id` (string, optional) — Metrics for specific edge_id ### Body (application/json) This endpoint expects a list of PipelineAccountLocalDeployMetricUsagePostRequestBodyContentApplicationJsonSchemaItems. - `list of PipelineAccountLocalDeployMetricUsagePostRequestBodyContentApplicationJsonSchemaItems` ## Response ### 200 Default Response ## Types ### PipelineAccountLocalDeployMetricUsagePostRequestBodyContentApplicationJsonSchemaItems - `event_ts` (integer, required) - `pipeline_id` (string, required) - `component_id` (string, required) - `processor` (string, required) - `total_count` (integer, required) - `total_size` (integer, required) ## Examples **Request** ```json [ { "event_ts": 1686902400, "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "auth-gateway", "processor": "request_latency_ms", "total_count": 1500, "total_size": 2457600 } ] ``` **Response** ```json {} ``` **SDK Code** ```python import requests url = "https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage" payload = [ { "event_ts": 1686902400, "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "auth-gateway", "processor": "request_latency_ms", "total_count": 1500, "total_size": 2457600 } ] headers = { "Authorization": "Token ", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage'; const options = { method: 'POST', headers: { Authorization: 'Token ', 'Content-Type': 'application/json' }, body: '[{"event_ts":1686902400,"pipeline_id":"3fa85f64-5717-4562-b3fc-2c963f66afa6","component_id":"auth-gateway","processor":"request_latency_ms","total_count":1500,"total_size":2457600}]' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage" payload := strings.NewReader("[\n {\n \"event_ts\": 1686902400,\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"auth-gateway\",\n \"processor\": \"request_latency_ms\",\n \"total_count\": 1500,\n \"total_size\": 2457600\n }\n]") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "Token ") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = 'Token ' request["Content-Type"] = 'application/json' request.body = "[\n {\n \"event_ts\": 1686902400,\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"auth-gateway\",\n \"processor\": \"request_latency_ms\",\n \"total_count\": 1500,\n \"total_size\": 2457600\n }\n]" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage") .header("Authorization", "Token ") .header("Content-Type", "application/json") .body("[\n {\n \"event_ts\": 1686902400,\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"auth-gateway\",\n \"processor\": \"request_latency_ms\",\n \"total_count\": 1500,\n \"total_size\": 2457600\n }\n]") .asString(); ``` ```php request('POST', 'https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage', [ 'body' => '[ { "event_ts": 1686902400, "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "auth-gateway", "processor": "request_latency_ms", "total_count": 1500, "total_size": 2457600 } ]', 'headers' => [ 'Authorization' => 'Token ', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", "Token "); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "[\n {\n \"event_ts\": 1686902400,\n \"pipeline_id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n \"component_id\": \"auth-gateway\",\n \"processor\": \"request_latency_ms\",\n \"total_count\": 1500,\n \"total_size\": 2457600\n }\n]", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "Token ", "Content-Type": "application/json" ] let parameters = [ [ "event_ts": 1686902400, "pipeline_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "component_id": "auth-gateway", "processor": "request_latency_ms", "total_count": 1500, "total_size": 2457600 ] ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api.mezmo.com/v3/pipeline/account/local-deploy/metric/usage")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```